Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.taag.cc/llms.txt

Use this file to discover all available pages before exploring further.

Whenever any of your subscribers change their email, use this endpoint to update it into Taag (we use emails to send invoices, receipts, etc)
POST
https://api.taag.cc/v1/subscribers/update/email

Authorization

All you need is to include your secret key as a value of authorization in the header and hit the endpoint above.
Authorization: taag_sk_mode_xxxxxxxxx
Authorization
string
required
Use the secret key that matches the mode you are in TEST or LIVE

Request body

{
	"oldEmail": "[email protected]",
    "newEmail": "[email protected]"
}
oldEmail
string
required
Use the old subscriber email that has to be updated
newEmail
email
required
The new email of the subscriber

Response

When successful you will receive this response:
    {
        "message": "Subscriber email updated successfully",
        "mode": "TEST",
        "subscriber": {
            "email": "[email protected]",
            "subscriberId": "f3a5e5afda82acd2569415e869193d9d"
        }
    }